using System.ComponentModel;

namespace Domain.Enum;

public enum WeaponClass
{
    [Description("Pistol")] PISTOL,
    [Description("Basic")] BASIC,
    [Description("Heavy")] HEAVY,
    [Description("Thrown")] THROWN,
    [Description("Melee")] MELEE
}

public enum ItemAvailibility
{
    [Description("Automatic")] UBIQUITOUS = 100,
    [Description("Easy")] ABUNDANT = 30,
    [Description("Routine")] PLENTIFUL = 20,
    [Description("Ordinary")] COMMON = 10,
    [Description("Challenging")] AVERAGE = 0,
    [Description("Difficult")] SCARCE = -10,
    [Description("Hard")] RARE = -20,
    [Description("Very Hard")] VERY_RARE = -30,
    [Description("Arduous ")] EXTREMELY_RARE = -40,
    [Description("Punishing ")] NEAR_UNIQUE = -50,
    [Description("Hellish")] UNIQUE = -60
}

public enum OrganisationLevel
{
    [Description("Local Influence")] LOCAL,
    [Description("Regional Influence")] REGIONAL,
    [Description("National Influence")] NATIONAL,
    [Description("All the Planet")] PLANETARY,

    [Description("All the galaxy & beyond")]
    INTERGALACTICAL
}